package com.codigoparallevar.minicards.types;

import com.codigoparallevar.minicards.types.connectors.input.BooleanInputConnector;
import com.codigoparallevar.minicards.types.connectors.input.SignalInputConnector;
import com.codigoparallevar.minicards.types.connectors.input.StringInputConnector;
import com.codigoparallevar.minicards.types.functional.Tuple2;
import com.programaker.api.ProgramakerApi;

public interface PartGrid {
    Selectable getPartOn(int x, int y);
    ProgramakerApi getApi();

    SignalInputConnector getSignalInputConnectorOn(int x, int y);
    BooleanInputConnector getBooleanInputConnectorOn(int x, int y);

    Tuple2<Integer,Integer> getCenteredOn();

    void update();

    StringInputConnector getStringInputConnectorOn(int xEnd, int yEnd);
}
