package com.programaker.api.data

import org.json.JSONObject

class ProgramakerCustomBlockSaveTo (
        val type: String,
        val index: Int
) {
    fun serialize(): JSONObject {
        return JSONObject(hashMapOf(
                "type" to type,
                "index" to index
        ) as Map<*, *>)
    }

    companion object {
        @JvmStatic
        fun deserialize(save_to: JSONObject?): ProgramakerCustomBlockSaveTo? {
            if (save_to == null) {
                return null;
            }

            return ProgramakerCustomBlockSaveTo(save_to.getString("type"),
                    save_to.getInt("index"))
        }
    }

}
