package com.programaker.api.data.api_results

class ProgramakerCreateBridgeResult (
        val control_url: String
) {
    fun getBridgeId(): String {
        val url = control_url.trim('/');
        if (url.endsWith("communication")) {
            val no_communication = url.substring(0, url.length - "communication".length);
            val chunks = no_communication.trim('/').split("/");
            return chunks[chunks.size - 1]
        }
        else {
            throw IllegalArgumentException("Unknown control_url format")
        }
    }
}
